Bug 1915 - kernel was updated to 3.8.5 [UPDATE REQUEST]
: kernel was updated to 3.8.5 [UPDATE REQUEST]
Status: RESOLVED WONTFIX
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-12 15:21 MSD by Alexander Burmashev
Modified: 2013-05-16 09:18 MSD (History)
5 users (show)

See Also:
RPM Package: kernel
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified-


Attachments
hardware (1.58 KB, application/octet-stream)
2013-04-17 14:33 MSD, Vladimir Potapov
Details
wl5 (140.11 KB, image/png)
2013-05-15 12:46 MSD, Postnikov Dmitry
Details
wl7 (139.96 KB, image/png)
2013-05-15 13:53 MSD, Postnikov Dmitry
Details
wl8 (2.49 MB, image/jpeg)
2013-05-15 17:50 MSD, Postnikov Dmitry
Details
wl9 (2.45 MB, image/jpeg)
2013-05-15 18:03 MSD, Postnikov Dmitry
Details
re.zip (2.34 MB, application/zip)
2013-05-15 23:48 MSD, Postnikov Dmitry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Burmashev 2013-04-12 15:21:21 MSD
kernel was updated to 3.8.5
Comment 1 Alexander Burmashev 2013-04-12 15:25:09 MSD
Advisory:
Kernel was update to 3.8.5 version. It is the 5th release of 3.8 series and carries a lot of improvements and fixes. Driver stack was greatly improved, compared to 3.6 serie.

Buildlists:
https://abf.rosalinux.ru/build_lists/1052857
https://abf.rosalinux.ru/build_lists/1052858


Additional info:
- first ROSA kernel with headers build from the same RPM
- a lot of POSITIVE reports on different hardware
- Provides much better hardware support ( touchscreen, touchpads, video adapters ).
- recommended update that is already installed on many ROSA systems
Comment 2 Vladimir Potapov 2013-04-15 18:13:19 MSD
The kernel don't setup as update on my i586 test system. Only headers update system. (x64 - ok)
Comment 3 Alexander Burmashev 2013-04-15 18:13:39 MSD
rpm -qa |grep kernel please on i586 system
Comment 4 Vladimir Potapov 2013-04-15 18:29:30 MSD
[keleg@FRESH2012 ~]$ rpm -qa |grep kernel
kernel-firmware-extra-20120909-1-rosa2012.1.noarch
kernel-firmware-20120909-1-rosa2012.1.noarch
kernel-nrj-desktop-3.6.10-1rosa-1-1-rosa2012.1.i586
kernel-nrj-desktop-devel-3.6.10-1rosa-1-1-rosa2012.1.i586
kernel-desktop-latest-3.6.10-0.1-rosa2012.1.i586
kernel-headers-3.8.5-1-rosa2012.1.i586
Comment 5 Alexander Burmashev 2013-04-17 13:01:00 MSD
Added metapackage containers

Advisory:
Kernel was update to 3.8.5 version. It is the 5th release of 3.8 series and carries a lot of improvements and fixes. Driver stack was greatly improved, compared to 3.6 serie.

Buildlists:
i586
https://abf.rosalinux.ru/build_lists/1052857
https://abf.rosalinux.ru/build_lists/1055558
x86_64
https://abf.rosalinux.ru/build_lists/1052858
https://abf.rosalinux.ru/build_lists/1055559


Additional info:
- first ROSA kernel with headers build from the same RPM
- a lot of POSITIVE reports on different hardware
- Provides much better hardware support ( touchscreen, touchpads, video adapters ).
- recommended update that is already installed on many ROSA systems
Comment 6 Vladimir Potapov 2013-04-17 14:33:48 MSD
Created attachment 1302 [details]
hardware

With new kernel skype sound (contact online-offline, receive-send) wheeze now. 
The bug present on both architectures.
Comment 7 Vladimir Potapov 2013-04-17 16:13:46 MSD
This bug solved by 
http://pc-freak.net/blog/how-to-fix-pulseaudio-and-skype-crappy-sound-glitches-choppy-sound-and-crackling-on-debian-gnu-linux/

In file /etc/pulse/default.pa 
change
  load-module module-udev-detect
to
  load-module module-udev-detect tsched=0

and sound work correct!
Comment 8 Aleksandr Kazantcev 2013-04-17 16:15:35 MSD
This is not kernel bug. I will fix this in PA
Comment 9 Vladimir Potapov 2013-04-17 16:18:47 MSD
The package route to extended testing.
Comment 10 Vladimir Potapov 2013-04-17 17:33:06 MSD
On 586 test system VirtualBox don't start vm.
Kernel driver not installed (rc=-1908)

With old kernel vbox start correct.
Comment 11 Postnikov Dmitry 2013-04-19 18:12:47 MSD
(In reply to comment #7)
> This bug solved by 
> http://pc-freak.net/blog/how-to-fix-pulseaudio-and-skype-crappy-sound-
> glitches-choppy-sound-and-crackling-on-debian-gnu-linux/
> 
> In file /etc/pulse/default.pa 
> change
>   load-module module-udev-detect
> to
>   load-module module-udev-detect tsched=0
> 
> and sound work correct!

It is written long ago in the Errata
http://wiki.rosalab.ru/ru/index.php/Errata_ROSA_Desktop_2012
item 3.3
Comment 12 Aleksandr Kazantcev 2013-04-19 18:39:14 MSD
For crackling sound we unable add this line, becouse this may decrease stability and perfomance of system (like sound lags). PA developers not add this line in default config becouse this is only workaround and not work on 100% computers.
Comment 13 Postnikov Dmitry 2013-04-20 11:17:18 MSD
(In reply to comment #5)
> Added metapackage containers
> 
> Advisory:
> Kernel was update to 3.8.5 version. It is the 5th release of 3.8 series and
> carries a lot of improvements and fixes. Driver stack was greatly improved,
> compared to 3.6 serie.
> 
> Buildlists:

> i586
> https://abf.rosalinux.ru/build_lists/1052857
"tests are passed"

> https://abf.rosalinux.ru/build_lists/1055558
"tests are passed"

> x86_64
> https://abf.rosalinux.ru/build_lists/1052858
"tests are passed"

> https://abf.rosalinux.ru/build_lists/1055559

In this assembly the report says "tests are not passed". And if you look in the test.log there all is not well. 
Is this a normal?

 
> 
> Additional info:
> - first ROSA kernel with headers build from the same RPM
> - a lot of POSITIVE reports on different hardware
> - Provides much better hardware support ( touchscreen, touchpads, video
> adapters ).
> - recommended update that is already installed on many ROSA systems
Comment 14 Alexander Burmashev 2013-04-20 14:36:27 MSD
> In this assembly the report says "tests are not passed". And if you look in the > test.log there all is not well. 
> Is this a normal?

Yes, this is ok.
Comment 15 Postnikov Dmitry 2013-04-23 21:54:18 MSD
*************************
Extended testing report
*************************
http://cdn.2safe.com/417056033557/Yurochko-all(kernel-3.8.5).odt
Comment 16 Vladimir Potapov 2013-04-24 14:04:06 MSD
broadcom wifi regress
***************
QA Denied
Comment 17 Alexander Burmashev 2013-04-24 14:09:19 MSD
Was broadcom-wl installed ?
Was it's dkms recompiled after kernel update ?
Comment 18 Eugene Shatokhin 2013-04-24 16:04:04 MSD
(In reply to comment #17)
> Was broadcom-wl installed ?
> Was it's dkms recompiled after kernel update ?

Build of the driver failed. 

DKMS log:

-----------------------------------------------------
DKMS make.log for broadcom-wl-5.100.82.112-9 for kernel 3.8.5-nrj-desktop-1rosa (x86_64)
Ср. апр. 24 15:57:08 MSK 2013
make: Вход в каталог `/usr/src/linux-3.8.5-nrj-desktop-1rosa'
  LD      /var/lib/dkms/broadcom-wl/5.100.82.112-9/build/built-in.o
  CC [M]  /var/lib/dkms/broadcom-wl/5.100.82.112-9/build/src/shared/linux_osl.o
  CC [M]  /var/lib/dkms/broadcom-wl/5.100.82.112-9/build/src/wl/sys/wl_linux.o
  CC [M]  /var/lib/dkms/broadcom-wl/5.100.82.112-9/build/src/wl/sys/wl_iw.o
  CC [M]  /var/lib/dkms/broadcom-wl/5.100.82.112-9/build/src/wl/sys/wl_cfg80211.o
/var/lib/dkms/broadcom-wl/5.100.82.112-9/build/src/wl/sys/wl_cfg80211.c: В функции «wl_cfg80211_join_ibss»:
/var/lib/dkms/broadcom-wl/5.100.82.112-9/build/src/wl/sys/wl_cfg80211.c:772:26: ошибка: «struct cfg80211_ibss_params» не содержит элемента с именем «channel»
/var/lib/dkms/broadcom-wl/5.100.82.112-9/build/src/wl/sys/wl_cfg80211.c: На верхнем уровне:
/var/lib/dkms/broadcom-wl/5.100.82.112-9/build/src/wl/sys/wl_cfg80211.c:1679:2: предупреждение: несовместимый тип указателя в инициализации [по умолчанию включена]
/var/lib/dkms/broadcom-wl/5.100.82.112-9/build/src/wl/sys/wl_cfg80211.c:1679:2: предупреждение: (где-то рядом с инициализацией для «wl_cfg80211_ops.set_tx_power») [по умолчанию включена]
/var/lib/dkms/broadcom-wl/5.100.82.112-9/build/src/wl/sys/wl_cfg80211.c:1680:2: предупреждение: несовместимый тип указателя в инициализации [по умолчанию включена]
/var/lib/dkms/broadcom-wl/5.100.82.112-9/build/src/wl/sys/wl_cfg80211.c:1680:2: предупреждение: (где-то рядом с инициализацией для «wl_cfg80211_ops.get_tx_power») [по умолчанию включена]
/var/lib/dkms/broadcom-wl/5.100.82.112-9/build/src/wl/sys/wl_cfg80211.c: В функции «wl_update_bss_info»:
/var/lib/dkms/broadcom-wl/5.100.82.112-9/build/src/wl/sys/wl_cfg80211.c:2107:11: ошибка: «struct cfg80211_bss» не содержит элемента с именем «information_elements»
/var/lib/dkms/broadcom-wl/5.100.82.112-9/build/src/wl/sys/wl_cfg80211.c:2108:15: ошибка: «struct cfg80211_bss» не содержит элемента с именем «len_information_elements»
make[1]: *** [/var/lib/dkms/broadcom-wl/5.100.82.112-9/build/src/wl/sys/wl_cfg80211.o] Ошибка 1
make: *** [_module_/var/lib/dkms/broadcom-wl/5.100.82.112-9/build] Ошибка 2
make: Выход из каталога `/usr/src/linux-3.8.5-nrj-desktop-1rosa'
-----------------------------------------------------

Will look at this problem.
Comment 19 Alexander Burmashev 2013-04-24 16:56:41 MSD
will try to patch it
Comment 20 Alexander Burmashev 2013-04-29 14:28:38 MSD
broadcom-wl was updated to be built with 3.8 kernel, can you check if it fixes the issue ?
https://abf.rosalinux.ru/build_lists/1075200
https://abf.rosalinux.ru/build_lists/1075201
Comment 21 Postnikov Dmitry 2013-04-29 14:53:49 MSD
(In reply to comment #20)
> broadcom-wl was updated to be built with 3.8 kernel, can you check if it
> fixes the issue ?
> https://abf.rosalinux.ru/build_lists/1075200
> https://abf.rosalinux.ru/build_lists/1075201

Well, now check the driver.
Comment 22 Postnikov Dmitry 2013-04-29 20:54:49 MSD
(In reply to comment #20)
> broadcom-wl was updated to be built with 3.8 kernel, can you check if it
> fixes the issue ?
> https://abf.rosalinux.ru/build_lists/1075200
> https://abf.rosalinux.ru/build_lists/1075201

64bit:
Install kernel 3.8.5, overloaded.
Installed the driver wl 5.100.82.112-10 overloaded my laptop. Wi-Fi access points are displayed, my point too. Tried to connect, joined without comments. Display in NM,without comment, connection sustainable.

32bit:
Tested on a DELL Vostro(32р.) Wi-Fi card ВСМ4311.
Established ROSA Fresh, the kernel 3.8.5. A link to new package wl.
But to update command (urpmi --auto-update) no reaction, prints to console,
that source has been upgraded and all.
Comment 23 Alexander Burmashev 2013-05-06 18:36:40 MSD
Do you have broadcom-wl already installed on that 32 bit system ?
What does "rpm -qa broadcom" show ?
Comment 24 Postnikov Dmitry 2013-05-14 17:32:22 MSD
(In reply to comment #23)
> Do you have broadcom-wl already installed on that 32 bit system ?
> What does "rpm -qa broadcom" show ?

> Buildlists:
> i586
> https://abf.rosalinux.ru/build_lists/1052857
> https://abf.rosalinux.ru/build_lists/1055558

This container is dead. We do not check the driver Broadcom on 32-bit kernel 3.8.5.
Comment 25 Alexander Burmashev 2013-05-14 17:43:29 MSD
Ok. 64 bit is rebuilt, i586 will be available shortly.
Comment 27 Postnikov Dmitry 2013-05-15 12:46:02 MSD
Created attachment 1351 [details]
wl5

The situation is this: 
1. Install kernel 3.5.8 
2. Connect repository with broadcom. 
3. Update. 

Nothing is updated. Although the same if we do in the version of the 64 bit, the broadcom is automatically put.

If you manually install the broadcom he set, but after reboot, the system will not boot. Just a black screen and all.
Comment 28 Alexander Burmashev 2013-05-15 13:00:02 MSD
Broadcom will automatically be updated only in case you already have it installed. The attached screenshot clearly shows that there is no broadcom in 64 bit system.

Now with the not bootable system after broadcom install.
Can you please paste the log of initial broadcom install and compile ?
Comment 29 Postnikov Dmitry 2013-05-15 13:06:09 MSD
(In reply to comment #28)
> Broadcom will automatically be updated only in case you already have it
> installed. The attached screenshot clearly shows that there is no broadcom
> in 64 bit system.
> 
> Now with the not bootable system after broadcom install.
> Can you please paste the log of initial broadcom install and compile ?

Я наверно что-то не так перевел. :)
Тестер ставил на 64 битную (так же обновляя) и все обновляет,встаёт и работает.
А если то же самое делать на 32 битной, то ничего не происходит. На скрине видно, почему-то система не хочет обновлять.

Хорошо, сейчас установим вруном режиме...
Comment 30 Alexander Burmashev 2013-05-15 13:09:07 MSD
А, так там 32 бита.
Так судя по скрину broadcom пакет ни стоит никакой, как же апдейт на него приедет ?
Comment 31 Postnikov Dmitry 2013-05-15 13:53:40 MSD
Created attachment 1355 [details]
wl7

В 32 битной:
urpmi dkms-broadcom-wl
После перезагрузки компьютер не стартанул.
Comment 32 Alexander Burmashev 2013-05-15 13:57:03 MSD
Так, тогда нужны логи на чем упало. Сервисы начинают подниматся ? В грабе если на строке загрузки нажать E и в нужном пункте загрузки убрать splash=silent logo.nologo, то загрузка по дефолту будет более информативной. На чем встанет ?
Comment 33 Postnikov Dmitry 2013-05-15 15:51:54 MSD
Вот на чём стопорится.
http://cdn.2safe.com/685113033560/broadcom-kern385-x32.odt
Comment 34 Alexander Burmashev 2013-05-15 15:57:46 MSD
Ok, after adding single to the boot string, are you able to boot to the root prompt ?
Comment 35 Alexander Burmashev 2013-05-15 16:00:29 MSD
I mean add "single" word to the kernel boot string, if you are able to boot to the root prompt, try
 systemctl disable mandriva-everytime.service
 systemctl stop mandriva-everytime.service
 systemctl default
Comment 36 Postnikov Dmitry 2013-05-15 17:50:48 MSD
Created attachment 1356 [details]
wl8

Didn't help. Message is a bit different, but stops approximately at the same place...
Comment 37 Postnikov Dmitry 2013-05-15 18:03:01 MSD
Created attachment 1357 [details]
wl9

Once again attempted to start the output of another, but stops there.
Comment 38 Alexander Burmashev 2013-05-15 18:08:57 MSD
Ok, sorry for bothering, but we need a one more experiment.
Revert to working and bootable system with 3.8.5 kernel.
run 
 systemctl disable mandriva-everytime.service
 systemctl stop mandriva-everytime.service
 systemctl status mandriva-everytime.service ( i will need output of this )

Then install broadcom and try rebooting
Comment 39 Alexander Burmashev 2013-05-15 18:18:12 MSD
BTW, just to be sure, ONLY x86_64 with broadcom-wl is working ?
Comment 40 Postnikov Dmitry 2013-05-15 18:37:07 MSD
(In reply to comment #38)
> Ok, sorry for bothering, but we need a one more experiment.
> Revert to working and bootable system with 3.8.5 kernel.
> run 
>  systemctl disable mandriva-everytime.service
>  systemctl stop mandriva-everytime.service
>  systemctl status mandriva-everytime.service ( i will need output of this )
> 
> Then install broadcom and try rebooting

Well. Now do, just wait...

(In reply to comment #39)
> BTW, just to be sure, ONLY x86_64 with broadcom-wl is working ?

Yes. In 64bit all OK.
Comment 41 Alexander Burmashev 2013-05-15 18:39:10 MSD
I think that taking in account this http://bugs.rosalinux.ru/show_bug.cgi?id=2009
3.8.5 request should be closed and testing moved to 3.8.12 topic.
3.8.12 is generally just like 3.8.5 in terms of behaviour and general patchset, only some fixes and backports are done.
Comment 42 Postnikov Dmitry 2013-05-15 23:48:33 MSD
Created attachment 1358 [details]
re.zip

Installed a clean system, install kernel 3.8.5 then off services. Then installed dkms-broadcom. Then reboot... and the same thing, will not start.
Comment 43 Vladimir Potapov 2013-05-16 05:00:05 MSD
Stop check it. The package denied.
*********************************
Comment 44 Denis Silakov 2013-05-16 09:18:50 MSD
Yes, let's proceed with bug #2009 instead.